Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.portlet
Class JuzuPortlet

    java.lang.Object
      org.juzu.portlet.JuzuPortlet

All Implemented Interfaces:
  javax.portlet.Portlet, javax.portlet.ResourceServingPortlet

    public class JuzuPortlet

extends Object
implements javax.portlet.Portlet, javax.portlet.ResourceServingPortlet

Author:
  Julien Viet

Constructor Summary
`JuzuPortlet()`

Method Summary
`void` | `destroy()`
`void` | `init(javax.portlet.PortletConfig config)`
`void` | `processAction(javax.portlet.ActionRequest request, javax.portlet.ActionResponse response)`
`void` | `render(javax.portlet.RenderRequest request, javax.portlet.RenderResponse response)`
`void` | `serveResource(javax.portlet.ResourceRequest request, javax.portlet.ResourceResponse response)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JuzuPortlet

    public JuzuPortlet()

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Specified by:
    `init` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`

### processAction

    public void processAction(javax.portlet.ActionRequest request,
                              javax.portlet.ActionResponse response)
                       throws javax.portlet.PortletException,
                              IOException

  Specified by:
    `processAction` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### render

    public void render(javax.portlet.RenderRequest request,
                       javax.portlet.RenderResponse response)
                throws javax.portlet.PortletException,
                       IOException

  Specified by:
    `render` in interface `javax.portlet.Portlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### serveResource

    public void serveResource(javax.portlet.ResourceRequest request,
                              javax.portlet.ResourceResponse response)
                       throws javax.portlet.PortletException,
                              IOException

  Specified by:
    `serveResource` in interface `javax.portlet.ResourceServingPortlet`
  Throws:
    `javax.portlet.PortletException`
    `IOException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.portlet.Portlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eXo Platform SAS. All Rights Reserved.